### Constructor

# GimpUi Ruler new

since: 2.8

#### Declaration [src]

    GtkWidget*
    gimp_ruler_new (
      GtkOrientation orientation
    )

#### Description [src]

Creates a new ruler.

Available since: 2.8

#### Parameters

`orientation`

  Type: `GtkOrientation`

  The ruler’s orientation.

#### Return value

Type: `GtkWidget`

A new `GimpRuler` widget.

The data is owned by the called function.